@charset "utf-8";
  body {
    font-family: "Helvetica Neue", Arial, sans-serif;
    background: #f4f6f8;
    margin: 0;
    padding: 0;
  }

  header {
    text-align: center;
    background: white;
    box-shadow: 0 2px 4px rgba(0,0,0,0.1);
    padding: 10px 0;
  }
  header img {
    height: 50px;
  }
  
  footer {
    text-align: center;
    background: white;
    box-shadow: 0 2px 4px rgba(0,0,0,0.1);
    padding: 10px 0;
  }
  .container {
    max-width: 420px;
    margin: 10px auto;
    background: #fff;
    border-radius: 16px;
    box-shadow: 0 4px 15px rgba(0,0,0,0.1);
    padding: 5px 10px;
  }

  h1 {
    text-align: center;
    font-size: 1.3em;
    margin-bottom: 20px;
    color: #333;
  }

  form div {
    margin: 10px;
    display: flex;
  }

  label {
    display: block;
    font-weight: bold;
    margin-bottom: 6px;
    color: #555;
    width: 20%;
    margin: 10px;
  }

  select, input[type="time"], input[type="date"] {
    width: 80%;
    padding: 10px 12px;
    border: 1px solid #ccc;
    border-radius: 8px;
    font-size: 1em;
    background-color: #fdfdfd;
    box-sizing: border-box;
  }
  button {
    width: 100%;
    background-color: #0078D7;
    color: white;
    border: none;
    padding: 14px 0;
    font-size: 1.1em;
    border-radius: 8px;
    cursor: pointer;
    transition: background 0.2s;
  }

  button:hover {
    background-color: #005fa3;
  }
  
  .swap-btn {
    width: 50%;
    background-color: #03ac55;
    color: white;
    border: none;
    padding: 14px 0;
    font-size: 1.1em;
    border-radius: 8px;
    cursor: pointer;
    transition: background 0.2s;
    display: block;
    margin: auto;
  }

  .swap-btn:hover {
    background-color: #025d2e;
  }

  @media (max-width: 480px) {
    .container {
      margin: 20px;
      padding: 20px;
    }
  }
  
.result-card {
    border: 1px solid #ccc;
    border-radius: 12px;
    padding: 5px 16px;
    margin: 5px 0;
    background: #f5f5f5;
    box-shadow: 0 1px 4px rgba(0,0,0,0.1);
}

/* 奇数番目のdiv */
.result-card:nth-child(odd) {
  background-color: #f9f9f9;
}

/* 偶数番目のdiv */
.result-card:nth-child(even) {
  background-color: #e9f5ff;
}

.result-card .route-name {
    font-weight: bold;
    font-size: 1.1em;
    text-align: center;
}

.result-card .stop-info {
    margin-bottom: 6px;
    font-weight: bold;    
    font-size: 1.4em;
}

.result-card .transfer {
    text-align: center;
    margin: 6px 0;
    font-weight: bold;
    border-top: 1px solid #333;
}

.time {
    font-weight: bold;
}

#loading {
  display: none;
  text-align: center;
  margin: 1em 0;
}
#loading img {
  width: 50px;
  height: 50px;
}

@media screen and (max-width: 600px) {
    .result-card {
        font-size: 0.9em;
        padding: 10px;
    }
}
  
